Subject: [Fot] SU HS-2 carb set needed

From: "Spitfire Racing" <[email-masked]>
Date: Tue, 27 May 2014 19:10:02 -0400

We're looking for a pair of carbs off a Mk3 Spitfire (1296), manifold not
necessary. (ie one front and one rear carb)  Please let me know what you
have. These are for a neighbor I helped get into Vintage Racing. I can
rebuild them. 

Also looking for the caps from a set of MGB fuel bowls. If you have these I
can send pictures of what covers we're looking for to confirm.

Thanks

Russ Moore

Spitfire #49
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive